Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.io
Interface TupleInputStream.ElementReader

All Known Implementing Classes:
  TupleSerialization.SerializationElementReader

Enclosing class:
  TupleInputStream

    public static interface TupleInputStream.ElementReader

Method Summary
`void` | `close()`
`Comparator` | `getComparatorFor(int type, DataInputStream inputStream)`
`Object` | `read(int token, DataInputStream inputStream)`

Method Detail

### read

    Object read(int token,
                DataInputStream inputStream)
                throws IOException

  Throws:
    `IOException`

### getComparatorFor

    Comparator getComparatorFor(int type,
                                DataInputStream inputStream)
                                throws IOException

  Throws:
    `IOException`

### close

    void close()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.